#!/bin/sh

if [ ! -d $FPLIB/CONN ] ; then mkdir -p $FPLIB/CONN ; fi

$FPPATH/fp-conn-pwr.pl CON_PWR_K375A K375A > $FPLIB/CONN/CON_PWR_K375A.fp
cat > $FPLIB/CONN/CON_PWR_K375A.3dm <<EOF
model: @conn-pwr.pl K375A
EOF


#header.pl   [-d] [-?] [-r|-s] [-nj|-j|-js|-jl] R P Pr Pp d H h T r
#headera.pl  [-d] [-?] [-r|-s] [-nj|-j|-js|-jl] R P Pr Pp d H h T W r
#sheader.pl  [-d] [-?] [-r|-s] R P Pr Pp d H h T A B [a] [b] [D] [o]
#sheadera.pl [-d] [-?] [-r|-s] R P Pr Pp d H h T W [A] [B] [a] [b] [D] [o]
#fp-header.pl [-?] [-m] [-M] [ -v | -a ][ -lt | -lb | -rt | -rb ] [ -dh | -dv | -dc ] nm R P Pr Pp X d R1 R2 [cx] [mx] [rd] [W] [H]\n";

$FPPATH/fp-header.pl -v CON_HDR_2X3_254P_610H__Harwin_M20-998_Series 2 3 2.54 2.54 1.6 1.05 7.6 5.1.9 > $FPLIB/CONN/CON_HDR_2X3_254P_610H__Harwin_M20-998_Series.fp
cat > $FPLIB/CONN/CON_HDR_2X3_254P_610H__Harwin_M20-998_Series.3dm <<EOF
model: @header.pl 2 3 2.54 2.54 0.64 6.1 3 2.54 0.4
EOF

$FPPATH/fp-header.pl -v CON_HDR_2X5_254P_610H__Harwin_M20-998_Series 2 5 2.54 2.54 1.6 1.05 12.7 5.1 > $FPLIB/CONN/CON_HDR_2X5_254P_610H__Harwin_M20-998_Series.fp
cat > $FPLIB/CONN/CON_HDR_2X5_254P_610H__Harwin_M20-998_Series.3dm <<EOF
model: @header.pl 2 5 2.54 2.54 0.64 6.1 3 2.54 0.4
EOF

$FPPATH/fp-header.pl -a CON_HDRA_2X5_254P_610H__Harwin_M20-995_Series 2 5 2.54 2.54 1.6 1.05 12.7 2.5 "" "" "" 2.26> $FPLIB/CONN/CON_HDRA_2X5_254P_610H__Harwin_M20-995_Series.fp
cat > $FPLIB/CONN/CON_HDRA_2X5_254P_610H__Harwin_M20-995_Series.3dm <<EOF
model: @headera.pl 2 5 2.54 2.54 0.64 6.1 3 2.54 2.26 0.4
EOF

$FPPATH/fp-header.pl -v -s -lb CON_SHDR_2X7_254P_880H__Harwin_M20-948_Series 2 7 2.54 2.54 1.6 1.05 25.40 8.95 > $FPLIB/CONN/CON_SHDR_2X7_254P_880H__Harwin_M20-948_Series.fp
cat > $FPLIB/CONN/CON_SHDR_2X7_254P_880H__Harwin_M20-948_Series.3dm <<EOF
model: @sheader.pl 2 7 2.54 2.54 0.64 6.1 3 2.54 25.40 8.95 23.10 6.5 8.8 4.4
EOF
$FPPATH/fp-header.pl -v -s CON_SHDR_2X5_254P_880H__Harwin_M20-948_Series 2 5 2.54 2.54 1.6 1.05 20.32 8.95 > $FPLIB/CONN/CON_SHDR_2X5_254P_880H__Harwin_M20-948_Series.fp
cat > $FPLIB/CONN/CON_SHDR_2X5_254P_880H__Harwin_M20-948_Series.3dm <<EOF
model: @sheader.pl 2 5 2.54 2.54 0.64 6.1 3 2.54 20.32 8.95 18.02 6.5 8.8 4.4
EOF

$FPPATH/fp-header.pl -a -s CON_SHDRA_2X5_254P_880H__Harwin_M20-949_Series 2 5 2.54 2.54 1.6 1.05 20.32 8.8 "" "" "" 2.12 > $FPLIB/CONN/CON_SHDRA_2X5_254P_880H__Harwin_M20-949_Series.fp
cat > $FPLIB/CONN/CON_SHDRA_2X5_254P_880H__Harwin_M20-949_Series.3dm <<EOF
model: @sheadera.pl 2 5 2.54 2.54 0.64 6.1 3 2.54 2.12 20.32 8.95 18.02 6.5 8.8 4.4
EOF

$FPPATH/fp-header.pl -v CON_HDR_1X8_254P_700H__Harwin_M20-973_Series 1 8 2.54 2.54 1.6 1.05 20.3 2.5 > $FPLIB/CONN/CON_HDR_1X8_254P_700H__Harwin_M20-973_Series.fp
cat > $FPLIB/CONN/CON_HDR_1X8_254P_700H__Harwin_M20-973_Series.3dm <<EOF
model: @header.pl 1 8 2.54 2.54 0.64 7 3.1 2.54 0.4
EOF



$FPPATH/fp-header.pl -v -m -M CON_HDR_2X3_254P_610H_M__Harwin_M20-998_Series 2 3 2.54 2.54 1.6 1.05 7.6 5.1.9 > $FPLIB/CONN/CON_HDR_2X3_254P_610H_M__Harwin_M20-998_Series.fp
cat > $FPLIB/CONN/CON_HDR_2X3_254P_610H_M__Harwin_M20-998_Series.3dm <<EOF
model: @header.pl 2 3 2.54 2.54 0.64 6.1 3 2.54 0.4
EOF

$FPPATH/fp-header.pl -v -m -M CON_HDR_2X5_254P_610H_M__Harwin_M20-998_Series 2 5 2.54 2.54 1.6 1.05 12.7 5.1 > $FPLIB/CONN/CON_HDR_2X5_254P_610H_M__Harwin_M20-998_Series.fp
cat > $FPLIB/CONN/CON_HDR_2X5_254P_610H_M__Harwin_M20-998_Series.3dm <<EOF
model: @header.pl 2 5 2.54 2.54 0.64 6.1 3 2.54 0.4
EOF

$FPPATH/fp-header.pl -a -m -M CON_HDRA_2X5_254P_610H_M__Harwin_M20-995_Series 2 5 2.54 2.54 1.6 1.05 12.7 2.5 "" "" "" 2.26> $FPLIB/CONN/CON_HDRA_2X5_254P_610H_M__Harwin_M20-995_Series.fp
cat > $FPLIB/CONN/CON_HDRA_2X5_254P_610H_M__Harwin_M20-995_Series.3dm <<EOF
model: @headera.pl 2 5 2.54 2.54 0.64 6.1 3 2.54 2.26 0.4
EOF

$FPPATH/fp-header.pl -v -s -m -M -lb CON_SHDR_2X7_254P_880H_M__Harwin_M20-948_Series 2 7 2.54 2.54 1.6 1.05 25.40 8.95 > $FPLIB/CONN/CON_SHDR_2X7_254P_880H_M__Harwin_M20-948_Series.fp
cat > $FPLIB/CONN/CON_SHDR_2X7_254P_880H_M__Harwin_M20-948_Series.3dm <<EOF
model: @sheader.pl 2 7 2.54 2.54 0.64 6.1 3 2.54 25.40 8.95 23.10 6.5 8.8 4.4
EOF

$FPPATH/fp-header.pl -v -s -m -M CON_SHDR_2X5_254P_880H_M__Harwin_M20-948_Series 2 5 2.54 2.54 1.6 1.05 20.32 8.95 > $FPLIB/CONN/CON_SHDR_2X5_254P_880H_M__Harwin_M20-948_Series.fp
cat > $FPLIB/CONN/CON_SHDR_2X5_254P_880H_M__Harwin_M20-948_Series.3dm <<EOF
model: @sheader.pl 2 5 2.54 2.54 0.64 6.1 3 2.54 20.32 8.95 18.02 6.5 8.8 4.4
EOF

$FPPATH/fp-header.pl -a -s -m -M CON_SHDRA_2X5_254P_880H_M__Harwin_M20-949_Series 2 5 2.54 2.54 1.6 1.05 20.32 8.8 "" "" "" 2.12 > $FPLIB/CONN/CON_SHDRA_2X5_254P_880H_M__Harwin_M20-949_Series.fp
cat > $FPLIB/CONN/CON_SHDRA_2X5_254P_880H_M__Harwin_M20-949_Series.3dm <<EOF
model: @sheadera.pl 2 5 2.54 2.54 0.64 6.1 3 2.54 2.12 20.32 8.95 18.02 6.5 8.8 4.4
EOF

$FPPATH/fp-header.pl -v -m -M CON_HDR_1X8_254P_700H_M__Harwin_M20-973_Series 1 8 2.54 2.54 1.6 1.05 20.3 2.5 > $FPLIB/CONN/CON_HDR_1X8_254P_700H_M__Harwin_M20-973_Series.fp
cat > $FPLIB/CONN/CON_HDR_1X8_254P_700H_M__Harwin_M20-973_Series.3dm <<EOF
model: @header.pl 1 8 2.54 2.54 0.64 7 3.1 2.54 0.4
EOF

