#!/bin/sh

if [ ! -d $FPLIB/MICROCHIP ] ; then mkdir -p $FPLIB/MICROCHIP ; fi

# fp-soic.pl [-?] [-m] nm N C P X Y R1 R2 [cx] [mx] [rd] [X2 Y2]
# soic.pl [-d] N L P W H T A B K
# fp-qfp.pl [-?] [-m] [-f] nm N C P X Y R [cx] [mx] [rd] [N2 C2 R2] [X2 Y2]
# qfp.pl [-?] [-d] N L P W H T A K [N2] [L2] [B]

$FPPATH/fp-qfp.pl MC_TQFP44_10 11 11.40 0.8 0.55 1.5 9.2 > $FPLIB/MICROCHIP/MC_TQFP44_10.fp
cat > $FPLIB/MICROCHIP/MC_TQFP44_10.3dm <<EOF
model: @qfp.pl 11 12 0.8 0.375 1.2 0.6 10 0.05
LOGO: -0.92 -0.25 , -0.92 0.11 , -0.77 0.41 -0.44 0.68 , -0.1 0.79 , 0.22 0.79 , 0.43 0.67 , 0.95 -0.12 , 0.92 -0.33 , 0.36 0.45 , 0.11 0.18 , 0.66 -0.69 , 0.44 -0.83 , 0.16 -0.94 , -0.2 -0.94 , -0.44 -0.82 , -0.66 -0.61 , -0.27 -0.18 , -.02 -0.61 , 0.27 -0.34 , -0.29 0.47 , -0.53 0.16 , -0.27 -0.18 , -0.38 -0.30 , -0.6 0.05 , -0.85 -0.27 , -0.92 -0.25
LOGO_POS: 0 3.3
LABEL_ROTATION: -1.5708
LABEL1: Microchip
LABEL_SIZE1: 1.5
LABEL_POS1: -2.8 1.15
LABEL_POS2: -2.5 -0.5
LABEL_POS3: -1.5 -1.8
LABEL_POS4: -2 -3.1
EOF

