#!/bin/sh

if [ ! -d $FPLIB/PASSIVE ] ; then mkdir -p $FPLIB/PASSIVE ; fi

# fp-chip.pl [-?] [-r | -c | -p | -i | -l] nm C1 X1 Y1 R1 R2 [cx] [mx] [rd] [C2 Y2]
# chip-r.pl [-?] [-d] L T W H

$FPPATH/fp-chip.pl -r RESC_1005_40H__Yageo_0402_Series 0.47 0.62 0.61 0 0 > $FPLIB/PASSIVE/RESC_1005_40H__Yageo_0402_Series.fp
cat > $FPLIB/PASSIVE/RESC_1005_40H__Yageo_0402_Series.3dm <<EOF
model: @chip-r.pl 1 0.25 0.5 0.375
LABEL: @val-rs3.pl
EOF

$FPPATH/fp-chip.pl -r RESC_1608_55H__Yageo_0603_Series 0.8 0.95 0.8 0.2 0.6 > $FPLIB/PASSIVE/RESC_1608_55H__Yageo_0603_Series.fp
cat > $FPLIB/PASSIVE/RESC_1608_55H__Yageo_0603_Series.3dm <<EOF
model: @chip-r.pl 1.6 0.25 0.8 0.5
LABEL: @val-rs3.pl
EOF

$FPPATH/fp-chip.pl -r RESC_2012_60H__Yageo_0805_Series 0.95 1.4 0.95 0.2 1.1 > $FPLIB/PASSIVE/RESC_2012_60H__Yageo_0805_Series.fp
cat > $FPLIB/PASSIVE/RESC_2012_60H__Yageo_0805_Series.3dm <<EOF
model: @chip-r.pl 2 0.35 1.25 0.5
LABEL: @val-rs3.pl
EOF

$FPPATH/fp-chip.pl -r RESC_3216_65H__Yageo_1206_Series 1.50 1.75 1.05 1.2 1.6 > $FPLIB/PASSIVE/RESC_3216_65H__Yageo_1206_Series.fp
cat > $FPLIB/PASSIVE/RESC_3216_65H__Yageo_1206_Series.3dm <<EOF
model: @chip-r.pl 3.2 0.45 1.6 0.55
LABEL: @val-rs3.pl
EOF

$FPPATH/fp-chip.pl -r RESC_3225_70H__Yageo_1210_Series 1.50 2.7 1.05 1.2 2.5 > $FPLIB/PASSIVE/RESC_3225_70H__Yageo_1210_Series.fp
cat > $FPLIB/PASSIVE/RESC_3225_70H__Yageo_1210_Series.3dm <<EOF
model: @chip-r.pl 3.2 0.45 2.5 0.60
LABEL: @val-rs3.pl
EOF




$FPPATH/fp-chip.pl -c CAPC_1005_55H__Vishay_VJ_0402_Series 0.46 0.62 0.60 0 0 > $FPLIB/PASSIVE/CAPC_1005_55H__Vishay_VJ_0402_Series.fp
cat > $FPLIB/PASSIVE/CAPC_1005_55H__Vishay_VJ_0402_Series.3dm <<EOF
model: @chip-c.pl 1 0.25 0.5 0.555
EOF

$FPPATH/fp-chip.pl -c CAPC_1608_95H__Vishay_VJ_0603_Series 0.75 1.0 1.0 0 0 > $FPLIB/PASSIVE/CAPC_1608_95H__Vishay_VJ_0603_Series.fp
cat > $FPLIB/PASSIVE/CAPC_1608_95H__Vishay_VJ_0603_Series.3dm <<EOF
model: @chip-c.pl 1.6 0.4 0.8 0.95
EOF

$FPPATH/fp-chip.pl -c CAPC_2012_145H__Vishay_VJ_0805_Series 0.9 1.45 1.15 0 0 > $FPLIB/PASSIVE/CAPC_2012_145H__Vishay_VJ_0805_Series.fp
cat > $FPLIB/PASSIVE/CAPC_2012_145H__Vishay_VJ_0805_Series.3dm <<EOF
model: @chip-c.pl 2 0.5 1.25 1.45
EOF

$FPPATH/fp-chip.pl -c CAPC_3216_190H__Vishay_VJ_1206_Series 1.45 1.9 1.3 0.9 1.6 > $FPLIB/PASSIVE/CAPC_3216_190H__Vishay_VJ_1206_Series.fp
cat > $FPLIB/PASSIVE/CAPC_3216_190H__Vishay_VJ_1206_Series.3dm <<EOF
model: @chip-c.pl 3.2 0.6 1.6 1.9
EOF

$FPPATH/fp-chip.pl -c CAPC_3225_280H__Vishay_VJ_1210_Series 1.35 2.8 1.5 0.5 2.5 > $FPLIB/PASSIVE/CAPC_3225_280H__Vishay_VJ_1210_Series.fp
cat > $FPLIB/PASSIVE/CAPC_3225_280H__Vishay_VJ_1210_Series.3dm <<EOF
model: @chip-c.pl 3.2 0.75 2.5 2.80
EOF



$FPPATH/fp-axial.pl -r -h RES_750P_610L_240D_HM__Vishay_LCA0207_Series 7.5 1.3 0.8 5.5 2.4 > $FPLIB/PASSIVE/RES_750P_610L_240D_HM__Vishay_LCA0207_Series.fp
cat > $FPLIB/PASSIVE/RES_750P_610L_240D_HM__Vishay_LCA0207_Series.3dm <<EOF
model: @axial-r.pl -h 6.1 2.4 7.5 0.60
STRIPE_COLOR1: @val-rt3.pl 1
STRIPE_COLOR2: @val-rt3.pl 2
STRIPE_COLOR3: @val-rt3.pl 3
STRIPE_COLOR4: 1 0.85 0.24 shininess 1
EOF

$FPPATH/fp-axial.pl -r -vl RES_360P_610L_240D_VLM__Vishay_LCA0207_Series 3.6 1.3 0.8 2.4 0 > $FPLIB/PASSIVE/RES_360P_610L_240D_VLM__Vishay_LCA0207_Series.fp
cat > $FPLIB/PASSIVE/RES_360P_610L_240D_VLM__Vishay_LCA0207_Series.3dm <<EOF
model: @axial-r.pl -vl 6.1 2.4 3.6.5 0.60
STRIPE_COLOR1: @val-rt3.pl 1
STRIPE_COLOR2: @val-rt3.pl 2
STRIPE_COLOR3: @val-rt3.pl 3
STRIPE_COLOR4: 1 0.85 0.24 shininess 1
EOF

$FPPATH/fp-axial.pl -r -vr RES_360P_610L_240D_VRM__Vishay_LCA0207_Series 3.6 1.3 0.8 2.4 0 > $FPLIB/PASSIVE/RES_360P_610L_240D_VRM__Vishay_LCA0207_Series.fp
cat > $FPLIB/PASSIVE/RES_360P_610L_240D_VRM__Vishay_LCA0207_Series.3dm <<EOF
model: @axial-r.pl -vr 6.1 2.4 3.6.5 0.60
STRIPE_COLOR1: @val-rt3.pl 1
STRIPE_COLOR2: @val-rt3.pl 2
STRIPE_COLOR3: @val-rt3.pl 3
STRIPE_COLOR4: 1 0.85 0.24 shininess 1
EOF

$FPPATH/fp-axial.pl -r -h RES_1500P_1220L_420D_HM__Vishay_LCA0414_Series 15 1.5 1.0 12.2 4.2 > $FPLIB/PASSIVE/RES_1500P_1220L_420D_HM__Vishay_LCA0414_Series.fp
cat > $FPLIB/PASSIVE/RES_1500P_1220L_420D_HM__Vishay_LCA0414_Series.3dm <<EOF
model: @axial-r.pl -h 12.2 4.2 15 0.80
STRIPE_COLOR1: @val-rt3.pl 1
STRIPE_COLOR2: @val-rt3.pl 2
STRIPE_COLOR3: @val-rt3.pl 3
STRIPE_COLOR4: 1 0.85 0.24 shininess 1
EOF

$FPPATH/fp-axial.pl -r -vl RES_420P_1220L_420D_VLM__Vishay_LCA0414_Series 4.2 1.5 1.0 4.2 > $FPLIB/PASSIVE/RES_420P_1220L_420D_VLM__Vishay_LCA0414_Series.fp
cat > $FPLIB/PASSIVE/RES_420P_1220L_420D_VLM__Vishay_LCA0414_Series.3dm <<EOF
model: @axial-r.pl -vl 12.2 4.2 4.2 0.80
STRIPE_COLOR1: @val-rt3.pl 1
STRIPE_COLOR2: @val-rt3.pl 2
STRIPE_COLOR3: @val-rt3.pl 3
STRIPE_COLOR4: 1 0.85 0.24 shininess 1
EOF

$FPPATH/fp-axial.pl -r -vr RES_420P_1220L_420D_VRM__Vishay_LCA0414_Series 4.2 1.5 1.0 4.2 > $FPLIB/PASSIVE/RES_420P_1220L_420D_VRM__Vishay_LCA0414_Series.fp
cat > $FPLIB/PASSIVE/RES_420P_1220L_420D_VRM__Vishay_LCA0414_Series.3dm <<EOF
model: @axial-r.pl -vr 12.2 4.2 4.2 0.80
STRIPE_COLOR1: @val-rt3.pl 1
STRIPE_COLOR2: @val-rt3.pl 2
STRIPE_COLOR3: @val-rt3.pl 3
STRIPE_COLOR4: 1 0.85 0.24 shininess 1
EOF


# Radial capacitors
$FPPATH/fp-radial.pl -p CAPPR_500P_1000D_1600L_60d_VM__Vishay_048RML_Series 5 1.3 0.8 10 > $FPLIB/PASSIVE/CAPPR_500P_1000D_1600L_60d_VM__Vishay_048RML_Series.fp
cat > $FPLIB/PASSIVE/CAPPR_500P_1000D_1600L_60d_VM__Vishay_048RML_Series.3dm <<EOF
model: @radial-cp.pl 16 10 5 0.5
LABEL1: @value
EOF

$FPPATH/fp-radial.pl -p -hu CAPPR_500P_1000D_1600L_60d_HUM__Vishay_048RML_Series 5 1.3 0.8 10 20 > $FPLIB/PASSIVE/CAPPR_500P_1000D_1600L_60d_HUM__Vishay_048RML_Series.fp
cat > $FPLIB/PASSIVE/CAPPR_500P_1000D_1600L_60d_HUM__Vishay_048RML_Series.3dm <<EOF
model: @radial-cp.pl -hu 16 10 5 0.5
LABEL1: @value
EOF

$FPPATH/fp-radial.pl -p -hd CAPPR_500P_1000D_1600L_60d_HDM__Vishay_048RML_Series 5 1.3 0.8 10 20 > $FPLIB/PASSIVE/CAPPR_500P_1000D_1600L_60d_HDM__Vishay_048RML_Series.fp
cat > $FPLIB/PASSIVE/CAPPR_500P_1000D_1600L_60d_HDM__Vishay_048RML_Series.3dm <<EOF
model: @radial-cp.pl -hd 16 10 5 0.5
LABEL1: @value
EOF
	
	
# Crystals
$FPPATH/fp-radial.pl -x XTALR_488P_465D_1135L_43d_VM__Jauch_SS2_Series 4.88 1.15 0.65 11.4 4.7 > $FPLIB/PASSIVE/XTALR_488P_465D_1135L_43d_VM__Jauch_SS2_Series.fp
cat > $FPLIB/PASSIVE/XTALR_488P_465D_1135L_43d_VM__Jauch_SS2_Series.3dm <<EOF
model: @xtal-mt.pl 10.5 3.8 11.35 4.65 2.5 4.88 0.43 1
LABEL: @value
EOF
